--- Miscellaneous utilities.

local M = {}

--- Clamps a value between two endpoints.
--- @param v     number  input value
--- @param v_min number  minimum output value
--- @param v_max number  maximum output value
--- @return      number  # clamped value
function M.clamp(v, v_min, v_max)
    if v < v_min then
        return v_min
    elseif v > v_max then
        return v_max
    else
        return v
    end
end

return M
